> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rdp.sh/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List DNS Records

> List all DNS records for a domain.



## OpenAPI

````yaml get /domains/{domain}/dns
openapi: 3.1.0
info:
  title: APIFiddle Sample Definition
  version: 0.0.0
  description: Example workspace
servers:
  - url: https://rdp.sh/api/v1
    description: Default production endpoint.
security: []
paths:
  /domains/{domain}/dns:
    get:
      summary: List DNS records
      description: List all DNS records for a domain.
      operationId: listDnsRecords
      parameters:
        - $ref: '#/components/parameters/domain'
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                title: ListDnsRecordsOk
                items:
                  $ref: '#/components/schemas/dnsRecord'
          description: The DNS records for the domain.
        '403':
          description: User does not own the domain.
      security:
        - Authorization: []
components:
  parameters:
    domain:
      in: path
      name: domain
      schema:
        type: integer
      required: true
      description: Domain ID
  schemas:
    dnsRecord:
      type: object
      required: []
      properties:
        id:
          type: integer
          examples:
            - 42
        type:
          type: string
          enum:
            - A
            - AAAA
            - CNAME
            - MX
            - TXT
            - NS
            - SRV
            - CAA
          examples:
            - A
        name:
          type: string
          description: Record name. Use `@` for the apex/root.
          examples:
            - '@'
            - www
        value:
          type: string
          examples:
            - 185.241.208.160
        ttl:
          type: integer
          examples:
            - 3600
        priority:
          type: integer
          nullable: true
          description: Priority, used by MX and SRV records.
          examples:
            - 10
        created_at:
          type: string
          examples:
            - '2025-01-01T00:00:00.000000Z'
      description: DNS record object.
  securitySchemes:
    Authorization:
      in: header
      name: Authorization
      type: apiKey

````